PipeWire: pw_context_events Struct Reference

PipeWire 0.3.84

Loading...
Searching...
No Matches
Data Fields
pw_context_events Struct Reference
Core API » Context

context events emitted by the context object added with pw_context_add_listener More...

`#include <pipewire/context.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The context is being destroyed.
void(* | free )(void *data)
| The context is being freed.
void(* | check_access )(void *data, struct pw_impl_client *client)
| a new client object is added
void(* | global_added )(void *data, struct pw_global *global)
| a new global object was added
void(* | global_removed )(void *data, struct pw_global *global)
| a global object was removed
void(* | driver_added )(void *data, struct pw_impl_node *node)
| a driver was added, since 0.3.75 version:1
void(* | driver_removed )(void *data, struct pw_impl_node *node)
| a driver was removed, since 0.3.75 version:1

## Detailed Description

context events emitted by the context object added with pw_context_add_listener

## Field Documentation

## ◆ version

uint32_t pw_context_events::version

## ◆ destroy

void(* pw_context_events::destroy) (void *data)

The context is being destroyed.

## ◆ free

void(* pw_context_events::free) (void *data)

The context is being freed.

## ◆ check_access

void(* pw_context_events::check_access) (void *data, struct pw_impl_client *client)

a new client object is added

## ◆ global_added

void(* pw_context_events::global_added) (void *data, struct pw_global *global)

a new global object was added

## ◆ global_removed

void(* pw_context_events::global_removed) (void *data, struct pw_global *global)

a global object was removed

## ◆ driver_added

void(* pw_context_events::driver_added) (void *data, struct pw_impl_node *node)

a driver was added, since 0.3.75 version:1

## ◆ driver_removed

void(* pw_context_events::driver_removed) (void *data, struct pw_impl_node *node)

a driver was removed, since 0.3.75 version:1

The documentation for this struct was generated from the following file:

- src/pipewire/context.h